Skip to main content

Tasks

Collection of on-demand geostatistics tasks


Conditional turning bands

Geostatistics Task API

Version: 0.1.9
Preview

For more information, please read the guide

Parameters

The organisation identifier

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • Pointset_V1_0_1
  • Pointset_V1_1_0
  • Pointset_V1_2_0
  • Pointset_V1_3_0
  • DownholeIntervals_V1_0_1
  • DownholeIntervals_V1_1_0
  • DownholeIntervals_V1_2_0
  • DownholeIntervals_V1_3_0

A Geoscience object:

  • ContinuousAttribute
type"element"
Default: "element"

Examples: "example string", "another example"

The attribute path that contains the values to be processed. It must contain the full path and the filter e.g:

  • /cell_attributes/@name=attr-name
  • /locations/attributes/@name=attr-name

Where to store the result

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • Regular3DGrid_V1_0_1
  • Regular3DGrid_V1_1_0
  • Regular3DGrid_V1_2_0
  • Regular3DGrid_V1_3_0
  • RegularMasked3DGrid_V1_0_1
  • RegularMasked3DGrid_V1_1_0
  • RegularMasked3DGrid_V1_2_0
  • RegularMasked3DGrid_V1_3_0

A Geoscience object:

  • ContinuousEnsemble
type"element"
Default: "element"

Examples: "example string", "another example"

The attribute path that contains the values to be processed. It must contain the full path and the filter e.g:

  • /cell_attributes/@name=attr-name
  • /locations/attributes/@name=attr-name

Point scale distribution

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • NonParametricContinuousCumulativeDistribution_V1_0_1
  • NonParametricContinuousCumulativeDistribution_V1_1_0
  • NonParametricContinuousCumulativeDistribution_V1_2_0

Variogram model

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • Variogram_V1_0_1
  • Variogram_V1_1_0
  • Variogram_V1_2_0

If 'None' create the search neighborhood based on the anisotropy of a variogram model. By default, the structure with the longest range is used.

Block discretization

Examples: 4, 15, 36, 82, 95

Default: 1

Discretization in X

Examples: 14, 18, 29, 32, 95

Default: 1

Discretization in Y

Examples: 12, 70, 76, 87, 95

Default: 1

Discretization in Z

Examples: 38, 47, 74, 80, 81

Default: 500

Number of lines for tbsim simulation

Examples: 6, 9, 25, 85, 91

Default: 38239342

Integer value to initiate random number generation

Examples: 11, 30, 38, 99

Default: 1

Number of realisations, defaults to 1

Examples: true, false

Set it to 'True' to reproduce the experimental variogram for each simulation

kriging_method"simple" | "ordinary"
Default: "simple"
normalize_variogram_modelboolean

Examples: true, false

Default: true
save_gaussian_resultsboolean

Examples: true, false

{
"source": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
},
"target": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
},
"distribution": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string"
},
"variogram_model": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string"
},
"neighborhood": {
"max-samples": 0,
"anisotropy": {
"ellipsoid_ranges": {
"major": 0,
"semi_major": 0,
"minor": 0
},
"rotation": {
"dip_azimuth": 0,
"dip": 0,
"pitch": 0
}
}
},
"block_discretization": {
"nx": 1,
"ny": 1,
"nz": 1
},
"number_of_lines": 500,
"random_seed": 38239342,
"realizations": 1,
"variogram_reproduction": false,
"kriging_method": "simple",
"normalize_variogram_model": true,
"save_gaussian_results": false
}

Returns

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "example string", "another example"

Concise summary of the completed job

Modified geoscience object

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

object_referencestring

Examples: "example string", "another example"

object_elementGORefElement[] | null

Endpoint

POST
/compute/orgs/{org_id}/geostat/conditional-tbsim

Request

curl -X POST 'https://{service_host}/compute/orgs/{org_id}/geostat/conditional-tbsim' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"message": "string",
"object_modified": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
}
}

Declustering

Geostatistics Task API

Version: 0.1.9
Preview

For more information, please read the guide

Parameters

The organisation identifier

Unweighted composites for declustering

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • Pointset_V1_0_1
  • Pointset_V1_1_0
  • Pointset_V1_2_0
  • Pointset_V1_3_0
  • DownholeIntervals_V1_0_1
  • DownholeIntervals_V1_1_0
  • DownholeIntervals_V1_2_0
  • DownholeIntervals_V1_3_0

A Geoscience object:

  • ContinuousAttribute
type"element"
Default: "element"

Examples: "example string", "another example"

The attribute path that contains the values to be processed. It must contain the full path and the filter e.g:

  • /cell_attributes/@name=attr-name
  • /locations/attributes/@name=attr-name

Attribute to save the result

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • Pointset_V1_0_1
  • Pointset_V1_1_0
  • Pointset_V1_2_0
  • Pointset_V1_3_0
  • DownholeIntervals_V1_0_1
  • DownholeIntervals_V1_1_0
  • DownholeIntervals_V1_2_0
  • DownholeIntervals_V1_3_0

A Geoscience object:

  • ContinuousAttribute
type"element"
Default: "element"

Examples: "example string", "another example"

The attribute path that contains the values to be processed. It must contain the full path and the filter e.g:

  • /cell_attributes/@name=attr-name
  • /locations/attributes/@name=attr-name

Cell sizes for declustering

min_sizenumber
Required

Examples: 2.654, 2.98, 21.864, 42.192, 50.536

max_sizenumber
Required

Examples: 19.884, 22.044, 54.494, 58.927, 64.988

n_sizesinteger
Required

Examples: 0, 20, 54, 89, 97

y_anisotropynumber

Examples: 9.275, 15.548, 33.659, 34.025, 95.721

Default: 1
z_anisotropynumber

Examples: 9.672, 60.373, 72.973, 80.713, 84.749

Default: 1
n_offsetsinteger

Examples: 10, 15, 48, 68, 70

Default: 100

{
"source": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
},
"target": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
},
"cell_sizes": {
"min_size": 0,
"max_size": 0,
"n_sizes": 0,
"y_anisotropy": 1,
"z_anisotropy": 1,
"n_offsets": 100
}
}

Returns

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "example string", "another example"

Concise summary of the completed job

Modified geoscience object

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

object_referencestring

Examples: "example string", "another example"

object_elementGORefElement[] | null

Endpoint

POST
/compute/orgs/{org_id}/geostat/declustering

Request

curl -X POST 'https://{service_host}/compute/orgs/{org_id}/geostat/declustering' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"message": "string",
"object_modified": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
}
}

K-Nearest neighbors (KNN)

Geostatistics Task API

Version: 0.1.9
Preview

For more information, please read the guide

Parameters

The organisation identifier

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • Pointset_V1_0_1
  • Pointset_V1_1_0
  • Pointset_V1_2_0
  • Pointset_V1_3_0
  • DownholeIntervals_V1_0_1
  • DownholeIntervals_V1_1_0
  • DownholeIntervals_V1_2_0
  • DownholeIntervals_V1_3_0

A Geoscience object:

  • ContinuousAttribute
type"element"
Default: "element"

Examples: "example string", "another example"

The attribute path that contains the values to be processed. It must contain the full path and the filter e.g:

  • /cell_attributes/@name=attr-name
  • /locations/attributes/@name=attr-name

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • Pointset_V1_0_1
  • Pointset_V1_1_0
  • Pointset_V1_2_0
  • Pointset_V1_3_0
  • DownholeIntervals_V1_0_1
  • DownholeIntervals_V1_1_0
  • DownholeIntervals_V1_2_0
  • DownholeIntervals_V1_3_0
  • Regular3DGrid_V1_0_1
  • Regular3DGrid_V1_1_0
  • Regular3DGrid_V1_2_0
  • Regular3DGrid_V1_3_0
  • RegularMasked3DGrid_V1_0_1
  • RegularMasked3DGrid_V1_1_0
  • RegularMasked3DGrid_V1_2_0
  • RegularMasked3DGrid_V1_3_0

A Geoscience object:

  • ContinuousAttribute
type"element"
Default: "element"

Examples: "example string", "another example"

The attribute path that contains the values to be processed. It must contain the full path and the filter e.g:

  • /cell_attributes/@name=attr-name
  • /locations/attributes/@name=attr-name

max-samplesinteger
Required

Range: >= 1

Examples: 29, 72, 82, 88, 89

majornumber
Required

Examples: 16.26541, 38.01262, 45.34103, 83.41104, 86.64837

semi_majornumber
Required

Examples: 7.14025, 35.52707, 67.01752, 68.35477, 70.18203

minornumber
Required

Examples: 24.48109, 26.99478, 46.22602, 53.41399, 63.49783

dip_azimuthnumber
Required

Examples: 13.833, 36.2, 49.352, 58.353, 99.733

dipnumber
Required

Examples: 15.284, 15.998, 68.048, 75.578, 86.11

pitchnumber
Required

Examples: 25.141, 38.477, 46.805, 59.589, 59.641

{
"source": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
},
"target": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
},
"neighborhood": {
"max-samples": 0,
"anisotropy": {
"ellipsoid_ranges": {
"major": 0,
"semi_major": 0,
"minor": 0
},
"rotation": {
"dip_azimuth": 0,
"dip": 0,
"pitch": 0
}
}
}
}

Returns

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "example string", "another example"

Concise summary of the completed job

Modified geoscience object

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

object_referencestring

Examples: "example string", "another example"

object_elementGORefElement[] | null

Endpoint

POST
/compute/orgs/{org_id}/geostat/knn

Request

curl -X POST 'https://{service_host}/compute/orgs/{org_id}/geostat/knn' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"message": "string",
"object_modified": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
}
}

Normal score forward

Geostatistics Task API

Version: 0.1.9
Preview

For more information, please read the guide

Parameters

The organisation identifier

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • Pointset_V1_0_1
  • Pointset_V1_1_0
  • Pointset_V1_2_0
  • Pointset_V1_3_0
  • DownholeIntervals_V1_0_1
  • DownholeIntervals_V1_1_0
  • DownholeIntervals_V1_2_0
  • DownholeIntervals_V1_3_0

A Geoscience object:

  • ContinuousAttribute
type"element"
Default: "element"

Examples: "example string", "another example"

The attribute path that contains the values to be processed. It must contain the full path and the filter e.g:

  • /cell_attributes/@name=attr-name
  • /locations/attributes/@name=attr-name

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • Pointset_V1_0_1
  • Pointset_V1_1_0
  • Pointset_V1_2_0
  • Pointset_V1_3_0
  • DownholeIntervals_V1_0_1
  • DownholeIntervals_V1_1_0
  • DownholeIntervals_V1_2_0
  • DownholeIntervals_V1_3_0
  • Regular3DGrid_V1_0_1
  • Regular3DGrid_V1_1_0
  • Regular3DGrid_V1_2_0
  • Regular3DGrid_V1_3_0
  • RegularMasked3DGrid_V1_0_1
  • RegularMasked3DGrid_V1_1_0
  • RegularMasked3DGrid_V1_2_0
  • RegularMasked3DGrid_V1_3_0

A Geoscience object:

  • ContinuousAttribute
type"element"
Default: "element"

Examples: "example string", "another example"

The attribute path that contains the values to be processed. It must contain the full path and the filter e.g:

  • /cell_attributes/@name=attr-name
  • /locations/attributes/@name=attr-name

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • NonParametricContinuousCumulativeDistribution_V1_0_1
  • NonParametricContinuousCumulativeDistribution_V1_1_0
  • NonParametricContinuousCumulativeDistribution_V1_2_0

{
"source": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
},
"target": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
},
"distribution": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string"
}
}

Returns

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "example string", "another example"

Concise summary of the completed job

Modified geoscience object

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

object_referencestring

Examples: "example string", "another example"

object_elementGORefElement[] | null

Endpoint

POST
/compute/orgs/{org_id}/geostat/normal-scores-forward

Request

curl -X POST 'https://{service_host}/compute/orgs/{org_id}/geostat/normal-scores-forward' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"message": "string",
"object_modified": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
}
}

Normal score backward

Geostatistics Task API

Version: 0.1.9
Preview

For more information, please read the guide

Parameters

The organisation identifier

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • Pointset_V1_0_1
  • Pointset_V1_1_0
  • Pointset_V1_2_0
  • Pointset_V1_3_0
  • DownholeIntervals_V1_0_1
  • DownholeIntervals_V1_1_0
  • DownholeIntervals_V1_2_0
  • DownholeIntervals_V1_3_0

A Geoscience object:

  • ContinuousAttribute
type"element"
Default: "element"

Examples: "example string", "another example"

The attribute path that contains the values to be processed. It must contain the full path and the filter e.g:

  • /cell_attributes/@name=attr-name
  • /locations/attributes/@name=attr-name

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • Pointset_V1_0_1
  • Pointset_V1_1_0
  • Pointset_V1_2_0
  • Pointset_V1_3_0
  • DownholeIntervals_V1_0_1
  • DownholeIntervals_V1_1_0
  • DownholeIntervals_V1_2_0
  • DownholeIntervals_V1_3_0
  • Regular3DGrid_V1_0_1
  • Regular3DGrid_V1_1_0
  • Regular3DGrid_V1_2_0
  • Regular3DGrid_V1_3_0
  • RegularMasked3DGrid_V1_0_1
  • RegularMasked3DGrid_V1_1_0
  • RegularMasked3DGrid_V1_2_0
  • RegularMasked3DGrid_V1_3_0

A Geoscience object:

  • ContinuousAttribute
type"element"
Default: "element"

Examples: "example string", "another example"

The attribute path that contains the values to be processed. It must contain the full path and the filter e.g:

  • /cell_attributes/@name=attr-name
  • /locations/attributes/@name=attr-name

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • NonParametricContinuousCumulativeDistribution_V1_0_1
  • NonParametricContinuousCumulativeDistribution_V1_1_0
  • NonParametricContinuousCumulativeDistribution_V1_2_0

{
"source": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
},
"target": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
},
"distribution": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string"
}
}

Returns

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "example string", "another example"

Concise summary of the completed job

Modified geoscience object

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

object_referencestring

Examples: "example string", "another example"

object_elementGORefElement[] | null

Endpoint

POST
/compute/orgs/{org_id}/geostat/normal-scores-backward

Request

curl -X POST 'https://{service_host}/compute/orgs/{org_id}/geostat/normal-scores-backward' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"message": "string",
"object_modified": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
}
}

Simulation report

Geostatistics Task API

Version: 0.1.9
Preview

For more information, please read the guide

Parameters

The organisation identifier

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • Pointset_V1_0_1
  • Pointset_V1_1_0
  • Pointset_V1_2_0
  • Pointset_V1_3_0
  • DownholeIntervals_V1_0_1
  • DownholeIntervals_V1_1_0
  • DownholeIntervals_V1_2_0
  • DownholeIntervals_V1_3_0

A Geoscience object:

  • ContinuousAttribute
type"element"
Default: "element"

Examples: "example string", "another example"

The attribute path that contains the values to be processed. It must contain the full path and the filter e.g:

  • /cell_attributes/@name=attr-name
  • /locations/attributes/@name=attr-name

Where to store the result

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • Regular3DGrid_V1_0_1
  • Regular3DGrid_V1_1_0
  • Regular3DGrid_V1_2_0
  • Regular3DGrid_V1_3_0
  • RegularMasked3DGrid_V1_0_1
  • RegularMasked3DGrid_V1_1_0
  • RegularMasked3DGrid_V1_2_0
  • RegularMasked3DGrid_V1_3_0

A Geoscience object:

  • ContinuousEnsemble
type"element"
Default: "element"

Examples: "example string", "another example"

The attribute path that contains the values to be processed. It must contain the full path and the filter e.g:

  • /cell_attributes/@name=attr-name
  • /locations/attributes/@name=attr-name

Point scale distribution

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • NonParametricContinuousCumulativeDistribution_V1_0_1
  • NonParametricContinuousCumulativeDistribution_V1_1_0
  • NonParametricContinuousCumulativeDistribution_V1_2_0

Variogram model

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • Variogram_V1_0_1
  • Variogram_V1_1_0
  • Variogram_V1_2_0

If 'None' create the search neighborhood based on the anisotropy of a variogram model. By default, the structure with the longest range is used.

Block discretization

Examples: 4, 15, 36, 82, 95

Default: 1

Discretization in X

Examples: 14, 18, 29, 32, 95

Default: 1

Discretization in Y

Examples: 12, 70, 76, 87, 95

Default: 1

Discretization in Z

Examples: 38, 47, 74, 80, 81

Default: 500

Number of lines for tbsim simulation

Examples: 6, 9, 25, 85, 91

Default: 38239342

Integer value to initiate random number generation

Examples: 11, 30, 38, 99

Default: 1

Number of realisations, defaults to 1

Examples: true, false

Set it to 'True' to reproduce the experimental variogram for each simulation

kriging_method"simple" | "ordinary"
Default: "simple"
normalize_variogram_modelboolean

Examples: true, false

Default: true
save_gaussian_resultsboolean

Examples: true, false

Examples: true, false

Set it to 'True' to reproduce the experimental variogram for each simulation

Examples: "example string", "another example"

Full URL reference to a new file in the File API. e.g: https://<evo_hub>.api.seequent.com/file/v2/orgs/<org_uuid>/workspaces/<workspace_uuid>/files/path/<report_name>.json

{
"simulation_parameters": {
"source": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
},
"target": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
},
"distribution": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string"
},
"variogram_model": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string"
},
"neighborhood": {
"max-samples": 0,
"anisotropy": {
"ellipsoid_ranges": {
"major": 0,
"semi_major": 0,
"minor": 0
},
"rotation": {
"dip_azimuth": 0,
"dip": 0,
"pitch": 0
}
}
},
"block_discretization": {
"nx": 1,
"ny": 1,
"nz": 1
},
"number_of_lines": 500,
"random_seed": 38239342,
"realizations": 1,
"variogram_reproduction": false,
"kriging_method": "simple",
"normalize_variogram_model": true,
"save_gaussian_results": false
},
"variogram_reproduction": false,
"target": "string"
}

Returns

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "example string", "another example"

Concise summary of the completed job

Modified geoscience object

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

object_referencestring

Examples: "example string", "another example"

object_elementGORefElement[] | null

Endpoint

POST
/compute/orgs/{org_id}/geostat/simulation-report

Request

curl -X POST 'https://{service_host}/compute/orgs/{org_id}/geostat/simulation-report' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"message": "string",
"object_modified": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
}
}

Break ties

Geostatistics Task API

Version: 0.1.9
Preview

For more information, please read the guide

Parameters

The organisation identifier

Examples: {"key":"value"}, {"another_key":123}

Data in which ties will be broken.

Object that contains the data in which ties will be broken. Supported schemas: block-model/[>=1.0,<2], downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The known values, used to estimate values at unknown locations.

Examples: {"key":"value"}, {"another_key":123}

Object and attribute where the results will be written.

Object where the results will be written. Supported schemas: block-model/[>=1.0,<2], downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The attribute to write the results to.

The operation to perform on the attribute.

The name of the attribute to create.

The operation to perform on the attribute.

Reference to an existing attribute to update.

Examples: 1, 14, 70, 87, 92

Default: 38239342

Seed for the random number generator.

Examples: {"key":"value"}, {"another_key":123}

Search parameters.

In this break ties algorithm, the final value of each tied point is influenced by the mean of nearby points. The search parameters determines which nearby points to use.

The ellipsoid, to search for points within

The ranges of the ellipsoid

The major axis length of the ellipsoid

The semi major axis length of the ellipsoid

The minor axis length of the ellipsoid

The rotation of the ellipsoid

first rotation, about the z-axis, in degrees

second rotation, about the x-axis, in degrees

third rotation, about the z-axis, in degrees

The maximum number of neighbors to find for each tied point.

Default: 1

The minimum number of samples to use for each evaluation point.

{
"source": {
"object": "https://example.com",
"attribute": "string"
},
"target": {
"object": "https://example.com",
"attribute": {
"name": "string"
}
},
"seed": 38239342,
"neighborhood": {
"ellipsoid": {
"ellipsoid_ranges": {
"major": 0,
"semi_major": 0,
"minor": 0
},
"rotation": {
"dip_azimuth": 0,
"dip": 0,
"pitch": 0
}
},
"max_samples": 0,
"min_samples": 1
}
}

Returns

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "example string", "another example"

A message that says what happened in the task.

Examples: {"key":"value"}, {"another_key":123}

The target that was created or updated.

Reference to a geoscience object. Supported schemas: block-model/[>=1.0,<2], downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The name of the geoscience object.

The description of the geoscience object.

The ID of the Geoscience Object schema.

Attribute containing the break ties result.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Endpoint

POST
/compute/orgs/{org_id}/geostatistics/break-ties

Request

curl -X POST 'https://{service_host}/compute/orgs/{org_id}/geostatistics/break-ties' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"message": "string",
"target": {
"reference": "https://example.com",
"name": "string",
"schema_id": "string",
"attribute": {
"reference": "string",
"name": "string"
}
}
}

Conditional simulation workflow

Geostatistics Task API

Version: 0.1.9

For more information, please read the guide

Parameters

The organisation identifier

Example: "/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}"

Reference to the Geoscience Object containing the source points used for conditioning the simulation. Supported schemas: pointset/[>=1.2,<2]

Examples: "name_of_an_attribute", "an_attribute", "an_example_attribute_name"

Reference to the attribute containing the source values. The values are transformed to normal-score space using the provided distribution.

Example: "/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}"

Reference to the Geoscience Object containing the grid to evaluate the simulation onto. A new attribute will be created on this object. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2]

Examples: {"key":"value"}, {"another_key":123}

Search neighborhood for conditioning.

The ellipsoid, to search for points within Alias: anisotropy

The ranges of the ellipsoid

The major axis length of the ellipsoid

The semi major axis length of the ellipsoid

The minor axis length of the ellipsoid

The rotation of the ellipsoid

first rotation, about the z-axis, in degrees

second rotation, about the x-axis, in degrees

third rotation, about the z-axis, in degrees

The maximum number of samples to use for each evaluation point. Alias: max-samples

Default: 1

The minimum number of samples to use for each evaluation point. Alias: min-samples

Parameters for a continuous distribution used for normal-score transformation.

Optional weights attribute for weighted distribution

Tail extrapolation

Power model for extrapolating the upper tail of the distribution.

Denominator of the exponent for the power model (between 0 exclusive and 1 inclusive).

Maximum extent of tail, must be greater than the maximum value in the data.

Power model for extrapolating the lower tail of the distribution. Optional.

Denominator of the exponent for the power model (between 0 exclusive and 1 inclusive).

Minimum extent of tail, must be less than the minimum value in the data.

Example: "/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}"

Reference to the variogram model used to model the covariance within the domain. Supported schemas: variogram/[>=1.1,<2]

Default: "simple"

The kriging method to use for the conditioning step.

Examples: {"key":"value"}, {"another_key":123}

Sub-block discretization used for support correction within each grid block.

Default: 1

Number of subdivisions in the x direction

Default: 1

Number of subdivisions in the y direction

Default: 1

Number of subdivisions in the z direction

Examples: 274, 550, 699, 769, 907

Default: 500

Number of lines to use for the turning-band simulation.

Examples: 15, 38, 44, 83, 99

Default: 1

Number of simulations to run.

Examples: 0, 20, 55, 58, 92

Default: 38239342

Random seed for simulation and tie-breaking.

Examples: 22, 33, 64, 92, 97

Default: 5

Number of simulations to publish to the output object. If perform_validation is true, the minimum value must be at least 1.

Settings for loss calculations.

Ordered list of material categories, from lowest to highest cutoff grade

Cutoff grade for the category

Price of the metal per unit

Label for the material category

Processing cost per unit of material

Mining cost per unit of waste material

Mining cost per unit of ore material

Fraction of metal expected to be recovered during processing

The target attribute that will be created or updated with loss calculation results.

The operation to perform on the attribute.

The name of the attribute to create.

The operation to perform on the attribute.

Reference to an existing attribute to update.

Examples: [0.10641082279770497,0.5076816746043252,0.6253001935664175], [0.19891110176473303,0.5076628819776342,0.8416693481724671]

List of quantiles to compute for each location.

Examples: true, false

Whether to run validation and generate a validation report.

Context for the validation report.

Title that will appear on the report.

Key-value pairs of details to appear on the report.

Label of the context item, which will appear on the report.

Value of the context item.

Thresholds for the mean comparison in the validation report.

Threshold for the percentage difference between the reference and simulated means that is considered acceptable.

Threshold for the percentage difference between the reference and simulated means that is considered marginal.

{
"source_object": "https://example.com",
"source_attribute": "string",
"target_object": "https://example.com",
"neighborhood": {
"ellipsoid": {
"ellipsoid_ranges": {
"major": 0,
"semi_major": 0,
"minor": 0
},
"rotation": {
"dip_azimuth": 0,
"dip": 0,
"pitch": 0
}
},
"max_samples": 0,
"min_samples": 1
},
"variogram_model": "https://example.com",
"block_discretization": {
"nx": 1,
"ny": 1,
"nz": 1
},
"number_of_lines": 500,
"number_of_simulations": 1,
"random_seed": 38239342,
"number_of_simulations_to_save": 5,
"location_wise_quantiles": [
0
],
"perform_validation": false
}

Returns

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: {"key":"value"}, {"another_key":123}

The target grid with simulation results.

Reference to a geoscience object. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2]

The name of the geoscience object.

The description of the geoscience object.

The ID of the Geoscience Object schema.

Attribute containing summary statistics of the simulation results.

Attribute containing the mean of the simulations.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Attribute containing the variance of the simulations.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Attribute containing the minimum of the simulations.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Attribute containing the maximum of the simulations.

Reference to the attribute in the geoscience object.

The name of the output attribute.

List of attributes containing quantiles of the simulation results.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Quantile of the simulations, that this attribute represents.

Attribute containing the simulation results.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Attribute containing the simulation results in normal score space.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Attribute containing the point simulation results.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Attribute containing the point simulation results in normal score space.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Attribute containing the loss calculation results.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Summary of the validation results.

Mean of the input values.

Mean of the simulated values.

Link to the validation report file.

Reference to a file.

The name of the file, typically the terminal segment of the path.

Examples: {"key":"value"}, {"another_key":123}

Links related to the simulation task.

Link to the validation dashboard.

Endpoint

POST
/compute/orgs/{org_id}/geostatistics/consim

Request

curl -X POST 'https://{service_host}/compute/orgs/{org_id}/geostatistics/consim' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"target": {
"reference": "https://example.com",
"name": "string",
"schema_id": "string",
"summary_attributes": {
"mean": {
"reference": "string",
"name": "string"
},
"variance": {
"reference": "string",
"name": "string"
},
"min": {
"reference": "string",
"name": "string"
},
"max": {
"reference": "string",
"name": "string"
}
},
"quantile_attributes": [
{
"reference": "string",
"name": "string",
"quantile": 0
}
]
},
"links": {}
}

Continuous distribution

Geostatistics Task API

Version: 0.1.9
Preview

For more information, please read the guide

Parameters

The organisation identifier

Examples: {"key":"value"}, {"another_key":123}

Source data to create the distribution from.

Object containing the data to create a distribution from. Supported schemas: downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The attribute containing the values to create a distribution from.

Optional weights for creating a weighted (declustered) distribution.

Object containing the weights data. Supported schemas: downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The attribute containing the weights values.

Optional tail extrapolation parameters for extending the distribution beyond the data range.

Power model for extrapolating the upper tail of the distribution.

Denominator of the exponent for the power model (between 0 exclusive and 1 inclusive).

Maximum extent of tail, must be greater than the maximum value in the data.

Power model for lower tail extrapolation. The min value must be less than the minimum value in the data.

Denominator of the exponent for the power model (between 0 exclusive and 1 inclusive).

Minimum extent of tail, must be less than the minimum value in the data.

Examples: {"key":"value"}, {"another_key":123}

Target specifying where to create the continuous distribution object.

Reference to the targeted object. Supported schemas: non-parametric-continuous-cumulative-distribution/[>=1.0,<2]

Whether to overwrite the existing object.

Description to put into the target object.

Tags to put into the target object.

This schema accepts user-defined additional properties along with the documented schema. The additional properties must match the specified type where one is provided.

{
"source": {
"object": "https://example.com",
"attribute": "string"
},
"target": {
"reference": "https://example.com",
"overwrite": false,
"tags": {
"Additional properties": "string",
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}
}

Returns

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "example string", "another example"

A message describing the result of the task.

Examples: {"key":"value"}, {"another_key":123}

Reference to the created continuous distribution object.

Reference to a geoscience object. Supported schemas: non-parametric-continuous-cumulative-distribution/[>=1.0,<2]

The name of the geoscience object.

The description of the geoscience object.

The ID of the Geoscience Object schema.

Endpoint

POST
/compute/orgs/{org_id}/geostatistics/continuous-distribution

Request

curl -X POST 'https://{service_host}/compute/orgs/{org_id}/geostatistics/continuous-distribution' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"message": "string",
"distribution": {
"reference": "https://example.com",
"name": "string",
"schema_id": "string"
}
}

Kriging

Geostatistics Task API

Version: 0.1.9
Preview

For more information, please read the guide

Parameters

The organisation identifier

Examples: {"key":"value"}, {"another_key":123}

The source object and attribute containing known values.

Spatial locations of known values. Supported schemas: block-model/[>=1.0,<2], downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The known values, used to estimate values at unknown locations.

Examples: {"key":"value"}, {"another_key":123}

The target object and attribute to create or update with kriging results.

Object to evaluate onto. Supported schemas: block-model/[>=1.0,<2], downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

Name of the attribute to create or update on the target object

The operation to perform on the attribute.

The name of the attribute to create.

The operation to perform on the attribute.

Reference to an existing attribute to update.

Optional region filter to apply to the target object. This allows the kriging to only be applied to a subset of the target object, defined by filtering an attribute on the target object by specific values.

Attribute used to define the region filter.

Category names used to filter the attribute. Mutually exclusive with 'values'.

Integer category keys used to filter the attribute. Mutually exclusive with 'names'.

The kriging method to use. Either simple or ordinary kriging.

The type of kriging to use.

The mean value, assumed to be constant across the domain.

The type of kriging to use.

Example: "/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}"

Model of the covariance within the domain. Supported schemas: variogram/[>=1.1,<2]

Examples: {"key":"value"}, {"another_key":123}

In Kriging, the value of each evaluation point is determined by a set of nearby points with known values. The search parameters determines which nearby points to use.

The ellipsoid, to search for points within Alias: anisotropy

The ranges of the ellipsoid

The major axis length of the ellipsoid

The semi major axis length of the ellipsoid

The minor axis length of the ellipsoid

The rotation of the ellipsoid

first rotation, about the z-axis, in degrees

second rotation, about the x-axis, in degrees

third rotation, about the z-axis, in degrees

The maximum number of samples to use for each evaluation point. Alias: max-samples

Default: 1

The minimum number of samples to use for each evaluation point. Alias: min-samples

Default: 8

The maximum number of empty octants (aka sectors) allowed when searching for neighbors. Omitting this, or a value of 8, disables the octant check.

The maximum number of samples to use from each octant.

The maximum number of samples to use from each drillhole (defined by drillhole ID)

The maximum number of empty quadrants (2D sectors, ignoring Z) allowed when searching for neighbors. If not specified, quadrant filtering is disabled.

The maximum number of samples to use from each quadrant (2D sectors, ignoring Z).

Sub-block discretization for block kriging. When provided, each target block is subdivided into nx * ny * nz sub-cells and the kriged value is averaged across these sub-cells. When omitted, point kriging is performed. Only applicable when the target is a 3D grid or block model.

Default: 1

Number of subdivisions in the x direction

Default: 1

Number of subdivisions in the y direction

Default: 1

Number of subdivisions in the z direction

{
"source": {
"object": "https://example.com",
"attribute": "string"
},
"target": {
"object": "https://example.com",
"attribute": {
"name": "string"
}
},
"kriging_method": {
"mean": 0
},
"variogram": "https://example.com",
"neighborhood": {
"ellipsoid": {
"ellipsoid_ranges": {
"major": 0,
"semi_major": 0,
"minor": 0
},
"rotation": {
"dip_azimuth": 0,
"dip": 0,
"pitch": 0
}
},
"max_samples": 0,
"min_samples": 1,
"max_empty_octants": 8
}
}

Returns

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "example string", "another example"

A message that says what happened in the task.

Examples: {"key":"value"}, {"another_key":123}

The target that was created or updated.

Reference to a geoscience object. Supported schemas: block-model/[>=1.0,<2], downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The name of the geoscience object.

The description of the geoscience object.

The ID of the Geoscience Object schema.

Attribute containing the kriging result.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Endpoint

POST
/compute/orgs/{org_id}/geostatistics/kriging

Request

curl -X POST 'https://{service_host}/compute/orgs/{org_id}/geostatistics/kriging' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"message": "string",
"target": {
"reference": "https://example.com",
"name": "string",
"schema_id": "string",
"attribute": {
"reference": "string",
"name": "string"
}
}
}

Loss calculation

Geostatistics Task API

Version: 0.1.9
Preview

Calculate loss given block model and economic parameters

Parameters

The organisation identifier

Examples: {"key":"value"}, {"another_key":123}

The source object and attribute containing known values.

Example: "https://{hub}.api.seequent.com/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/path/my-grid.json"

The location of a regular or masked 3D grid with known values. Should be one of Regular3DGrid_V1_2_0, Regular3DGrid_V1_3_0, RegularMasked3DGrid_V1_2_0, or RegularMasked3DGrid_V1_3_0. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2]

Example: "cell_attributes[?attribute_type=='ensemble_continuous']"

The original values, used to calculate grade categories.

Examples: {"key":"value"}, {"another_key":123}

The target object and attribute to create or update with grade calculation results.

Example: "https://{hub}.api.seequent.com/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/path/my-grid.json"

Object to evaluate onto. Can be the same as the source object. Should be one of Regular3DGrid_V1_2_0, Regular3DGrid_V1_3_0, RegularMasked3DGrid_V1_2_0, or RegularMasked3DGrid_V1_3_0. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2]

Examples: {"name":"grade-category","operation":"create"}, {"name":"existing-grade-category","operation":"update"}

Name of the attribute to create or update on the target object.

The operation to perform on the attribute.

The name of the attribute to create.

The operation to perform on the attribute.

Reference to an existing attribute to update.

List of material categories, sorted from lowest to highest cutoff grade

Examples: 0.16, 0.5, 0.9

The cutoff grade

Examples: 134.23, 245.12, 9876.34

The metal price

Examples: "ore", "waste"

Default: "waste"

The category label

Examples: 16.15, 37.39, 91.85, 92.24, 95.35

Processing cost per unit of material

Examples: 11.19, 36.3, 48.86, 59.89, 98.53

Mining cost per unit of waste material

Examples: 7.88, 23.95, 24.09, 56.74, 80.68

Mining cost per unit of ore material

Examples: 0.126, 0.533, 0.732, 0.816, 0.978

Fraction of metal expected to be recovered during processing

{
"source": {
"object": "https://example.com",
"attribute": "string"
},
"target": {
"object": "https://example.com",
"attribute": {
"name": "string"
}
},
"material_categories": [
{
"cutoff_grade": 0,
"metal_price": 0,
"label": "waste"
}
],
"processing_cost": 0,
"mining_waste_cost": 0,
"mining_ore_cost": 0,
"metal_recovery_fraction": 0
}

Returns

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "Success", "Failed"

Description of the result

The target that was created or updated.

Reference to a geoscience object. Supported schemas: downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The name of the geoscience object.

The description of the geoscience object.

The ID of the Geoscience Object schema.

Attribute containing the material category results from the grade calculation.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Endpoint

POST
/compute/orgs/{org_id}/geostatistics/loss-calculation

Request

curl -X POST 'https://{service_host}/compute/orgs/{org_id}/geostatistics/loss-calculation' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"message": "string"
}

Profit calculation

Geostatistics Task API

Version: 0.1.9
Preview

Calculate profit given block model and economic parameters

Parameters

The organisation identifier

Examples: {"key":"value"}, {"another_key":123}

The source object and attribute containing known values.

Example: "https://{hub}.api.seequent.com/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/path/my-grid.json"

The location of a regular or masked 3D grid with known values. Should be one of Regular3DGrid_V1_2_0, Regular3DGrid_V1_3_0, RegularMasked3DGrid_V1_2_0, or RegularMasked3DGrid_V1_3_0. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2]

Example: "cell_attributes[?attribute_type=='ensemble_continuous']"

The original values, used to calculate grade categories.

Examples: {"key":"value"}, {"another_key":123}

The target object and attribute to create or update with grade calculation results.

Example: "https://{hub}.api.seequent.com/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/path/my-grid.json"

Object to evaluate onto. Can be the same as the source object. Should be one of Regular3DGrid_V1_2_0, Regular3DGrid_V1_3_0, RegularMasked3DGrid_V1_2_0, or RegularMasked3DGrid_V1_3_0. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2]

Examples: {"name":"grade-category","operation":"create"}, {"name":"existing-grade-category","operation":"update"}

Name of the attribute to create or update on the target object.

The operation to perform on the attribute.

The name of the attribute to create.

The operation to perform on the attribute.

Reference to an existing attribute to update.

List of material categories, sorted from lowest to highest cutoff grade

Examples: 0.16, 0.5, 0.9

The cutoff grade

Examples: 134.23, 245.12, 9876.34

The metal price

Examples: "ore", "waste"

Default: "waste"

The category label

Examples: 16.15, 37.39, 91.85, 92.24, 95.35

Processing cost per unit of material

Examples: 11.19, 36.3, 48.86, 59.89, 98.53

Mining cost per unit of waste material

Examples: 7.88, 23.95, 24.09, 56.74, 80.68

Mining cost per unit of ore material

Examples: 0.126, 0.533, 0.732, 0.816, 0.978

Fraction of metal expected to be recovered during processing

{
"source": {
"object": "https://example.com",
"attribute": "string"
},
"target": {
"object": "https://example.com",
"attribute": {
"name": "string"
}
},
"material_categories": [
{
"cutoff_grade": 0,
"metal_price": 0,
"label": "waste"
}
],
"processing_cost": 0,
"mining_waste_cost": 0,
"mining_ore_cost": 0,
"metal_recovery_fraction": 0
}

Returns

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "Success", "Failed"

Description of the result

The target that was created or updated.

Reference to a geoscience object. Supported schemas: downhole-intervals/[>=1.2,<2], pointset/[>=1.2,<2], regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The name of the geoscience object.

The description of the geoscience object.

The ID of the Geoscience Object schema.

Attribute containing the material category results from the grade calculation.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Endpoint

POST
/compute/orgs/{org_id}/geostatistics/profit-calculation

Request

curl -X POST 'https://{service_host}/compute/orgs/{org_id}/geostatistics/profit-calculation' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"message": "string"
}

Location-wise quantiles

Geostatistics Task API

Version: 0.1.9
Preview

For more information, please read the guide

Parameters

The organisation identifier

Examples: {"key":"value"}, {"another_key":123}

Source object and attribute containing ensemble values.

Spatial locations of known values. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

Reference to the ensemble to be processed.

Examples: {"key":"value"}, {"another_key":123}

Target object to save summary statistics.

Object to evaluate onto. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

Example: [0.1,0.5,0.9]

List of quantiles between 0.0 and 1.0 to compute

{
"source": {
"object": "https://example.com",
"attribute": "string"
},
"target": {
"object": "https://example.com"
},
"quantiles": [
0
]
}

Returns

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "example string", "another example"

A message that says what happened in the task.

Examples: {"key":"value"}, {"another_key":123}

The target that was created or updated.

Reference to a geoscience object. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The name of the geoscience object.

The description of the geoscience object.

The ID of the Geoscience Object schema.

Computed location-wise values.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Endpoint

POST
/compute/orgs/{org_id}/geostatistics/location-wise-quantiles

Request

curl -X POST 'https://{service_host}/compute/orgs/{org_id}/geostatistics/location-wise-quantiles' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"message": "string",
"target": {
"reference": "https://example.com",
"name": "string",
"schema_id": "string",
"attributes": [
{
"reference": "string",
"name": "string"
}
]
}
}

Location-wise summary statistics

Geostatistics Task API

Version: 0.1.9
Preview

For more information, please read the guide

Parameters

The organisation identifier

Examples: {"key":"value"}, {"another_key":123}

Source object and attribute containing ensemble values.

Spatial locations of known values. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

Reference to the ensemble to be processed.

Examples: {"key":"value"}, {"another_key":123}

Target object to save summary statistics.

Object to evaluate onto. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

{
"source": {
"object": "https://example.com",
"attribute": "string"
},
"target": {
"object": "https://example.com"
}
}

Returns

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "example string", "another example"

A message that says what happened in the task.

Examples: {"key":"value"}, {"another_key":123}

The target that was created or updated.

Reference to a geoscience object. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2], tensor-3d-grid/[>=1.2,<2]

The name of the geoscience object.

The description of the geoscience object.

The ID of the Geoscience Object schema.

Computed location-wise values.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Endpoint

POST
/compute/orgs/{org_id}/geostatistics/location-wise-summary

Request

curl -X POST 'https://{service_host}/compute/orgs/{org_id}/geostatistics/location-wise-summary' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"message": "string",
"target": {
"reference": "https://example.com",
"name": "string",
"schema_id": "string",
"attributes": [
{
"reference": "string",
"name": "string"
}
]
}
}

Was this page helpful?